Skip to content

Services

All operations require authentication.

2 operationsv1/cdn/dedicated
Agent setup

List CDN servicesProduction

GET
/1.0/cdn/dedicated

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get a CDN serviceProduction

GET
/1.0/cdn/dedicated/{serviceName}

Path parameters

serviceName
required
string

The internal name of your CDN offer

Response

200AnycastWithIAMsuccessful operation
anycast
read-only
ipv4

IPv4 address (e.g., 192.0.2.0)

backendLimit
read-only
integer
—
backendUse
read-only
integer
—
cacheRuleLimitPerDomain
read-only
integer
—
iam
read-only
ResourceMetadata

IAM resource metadata

lastQuotaOrder
read-only
stringdate-time
—
logUrl
read-only
string

URL for downloading daily log of your CDN

offer
read-only
string
—
quota
read-only
integer
—
service
read-only
string

The internal name of your CDN offer

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/cdn/dedicated/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "anycast": "192.0.2.0", "backendLimit": 0, "backendUse": 0, "cacheRuleLimitPerDomain": 0, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "lastQuotaOrder": "2024-01-01T12:00:00Z", "logUrl": "string", "offer": "string", "quota": 0, "service": "string"}